• Register

Recent questions tagged android-gradle-plugin

0 votes
1 answer 4 views
Problem: Please,I want an answer >Implementation 'com.android.support:appcompat-v7:28.0.0'
asked 1 day ago Sawyer Parviz 13.2k points
0 votes
1 answer 2 views
Problem: Does anyone have an answer to this? > Suggestion: add 'tools:replace="android:appcomponentfactory"'
asked 3 days ago Priscilla Gurpreet 3.7k points
0 votes
1 answer 3 views
Problem: What am I suppose to do with this issue? >Failed to resolve: com. google.firebase:firebase-core:15.0.1.
asked 4 days ago Ashok Dileep 5.3k points
0 votes
1 answer 3 views
Problem: I suspect the proxy setting is not set correctly, or I might be wrong, please help me out here. I'm working under a corporate network and using a VPN. Error details below: Launching lib\main.dart on Android SDK built for x86 in debug mode ... . * Get more help at https://help.gradle.org BUILD FAILED in 17s Command: D:\flutter_workspace\flutter_app\android\gradlew.bat app:properties
asked May 3 muktaa 34.6k points
0 votes
1 answer 5 views
Problem: I'm using android studio 3.4.1 and my Kotlin version is 1.3.31. I have a flutter app. When trying to add cloud_firestore to my app I have the following issue. My android studio Kotlin version is exactly the same as build.gradle. Any advice? ... .1' classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version" // for firebase classpath 'com.google.gms:google-services:4.2.0' } }
asked May 3 muktaa 34.6k points
0 votes
1 answer 3 views
Problem: I just updated to Android Studio 3.4 (Canary 5). Then I opened my existing project (which worked perfectly on Android Studio 3.3 Beta) and received this error: ERROR: Unsupported method: AndroidProject.getVariantNames(). The version of Gradle you connect to does not support ... -1248-b01 amd64 JVM: OpenJDK 64-Bit Server VM by JetBrains s.r.o Linux 4.15.0-39-generic How to solve this?
asked May 3 muktaa 34.6k points
0 votes
1 answer 15 views
Problem: Failed to execute aapt Information:9 errors Information:BUILD FAILED in 2s Information:1 warning Information:See complete output in console How to solve this issue? My dependencies: dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') androidTestCompile( ... .constraint:constraint-layout:1.0.2' testCompile 'junit:junit:4.12' implementation 'com.android.support:design:26.1.0' }
asked May 2 anika11 32.2k points
0 votes
1 answer 5 views
Problem: Can anyone tell me why I am receiving this error? I have downloaded a series of projects from GitHub for a Udacity course. Since there are about 50 or 60 projects (Exercises and Solutions) in the repo, I presume it has to do with the fact that ... really want to know why this is happening and how I can fix without blindly uninstalling and re-installing. Any help is appreciated. Thanks.
asked May 2 anika11 32.2k points
0 votes
1 answer 9 views
Problem: I have upgraded my Android Studio and I found many problems in the latest version. Although many similar questions exist, I checked the answers to all and none of them worked for me! Here is the error I'm facing while compiling the code: Program type already present: ... Optional.of(D8)} Can you tell me if there is anything else to add to understand what I'm doing or where I'm wrong?
asked May 1 anika11 32.2k points
0 votes
1 answer 12 views
Problem: I've just enabled Kotlin in my Android project and I stumbled upon a warning. After the second build (Build -> Rebuild Project) this warning is shown under Messages: Warning:Runtime JAR files in the classpath should have the same version. These files were ... my local setup. Even if it is only a warning, I don't feel comfortable by releasing an apk that includes conflicting versions.
asked May 1 anika11 32.2k points
0 votes
1 answer 10 views
Problem: My gradle file // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { google() jcenter() } dependencies { classpath 'com.android.tools.build:gradle:3.0.0' // NOTE: Do not place ... build.gradle files } } allprojects { repositories { google() jcenter() } } task clean(type: Delete) { delete rootProject.buildDir }
asked May 1 anika11 32.2k points
0 votes
1 answer 12 views
Problem: I create ionic 2 project and add diagnostic cordova plugin like this : ionic plugin add cordova.plugins.diagnostic npm install --save @ionic-native/diagnostic and add android platform like this : ionic platform add android@latest but when build with ionic build android ... 3-all.zip'; but not working and console give me last error. I dont know how to add gradle for android@latest version
asked May 1 anika11 32.2k points
0 votes
1 answer 4 views
Problem: After updating Android Studio to 3.3 V I am getting the following error: I have updated all the gradle dependencies. Are there any solutions to this?
asked May 1 Yeamin 22k points
0 votes
1 answer 8 views
Problem: Can anyone tell me the solution of this problem? The modules below are not imported from gradle anymore
asked Apr 26 Ifra 37.2k points
0 votes
1 answer 4 views
Problem: It's a libGDX application. the project is running fine while testing in emulator but only in the time of building (both ways:signed apk/build apk) i am seeing this error! Plz i need help. any help would be appreciated.
asked Apr 26 sumaiya simi 43.9k points
0 votes
1 answer 7 views
Problem: This is the output of my Gradle console, I am unable to build my project D:\Android Projects\....\app\src\main\res\layout\topic_view_header.xml Error:error: resource attr/?? (aka -packagename- :attr/??) not found. Error:error: resource ... :processDebugResources'. > Failed to execute aapt Information:BUILD FAILED in 27s Information:11 errors Information:0 warnings Android Studio 3.0 RC 2
asked Apr 26 Supti 13k points
0 votes
1 answer 3 views
Problem: Whenever i add implemntation 'com.google.android.material:material:1.0.0-alpha1' when i try to build my project Android Studio says: Program type already present: android.support.v4.app.INotificationSideChannel$Stub$Proxy Message{kind=ERROR, text=Program type already present: android. ... 0.0-alpha1' } I'm new ith this type of errors, and i didn't find anithing with this error. Thanks
asked Apr 25 sumaiya simi 43.9k points
0 votes
1 answer 7 views
Problem: What's the correct way of applying a gradle plugin that's laying in src/main/groovy? Assuming this (as taken from here) is the contents of src/main/groovy/GreetingPlugin.groovy class GreetingPlugin implements Plugin<Project> { void apply(Project project) { // Add the ... call gradle -q hello work in the terminal? An internet search gave me this, but it didn't help me solve the problem.
asked Apr 25 Yeamin 22k points
0 votes
1 answer 6 views
Problem: After updating my dependency versions in AndroidStudio3.1, I started getting the following error: Information:Gradle tasks [:app:assembleDebug] Error:com.android.builder.dexing.DexArchiveBuilderException: Failed to process C:\Users\Blabla\.gradle\caches\modules-2\files-2.1\com. ... my "multiDexEnabled true" and 'compile 'com.android.support:multidex:1.0.2' is added. What else can I do?
asked Apr 25 Humaira ahmed 50.7k points
0 votes
1 answer 4 views
Problem: I want to get RSS code from a URL with Retrofit and if I enter URL statically in the get annotation everything is OK but with dynamic URL I get an error.
asked Apr 25 zayed1 61.8k points